package com.example.greenwatch;

import androidx.appcompat.app.AppCompatActivity;

import android.annotation.SuppressLint;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import java.net.SocketException;

public class MainActivity extends AppCompatActivity {
    WifiCommunication communication; //Member WifiCommunication
    TextView tvReceivedData; //Test Textview um empfangene Daten anzuzeigen -> Gegen finale Textview in der Anzeige austauschen
    //ToDo: Falls finale Textview zum Anzeigen der Nachricht anders heißt, muss das in der Klasse WifiCommunication.java angepasst werden!
    // Wo anpassen: Receive Thread, Zeile 58
    private EditText etSendMessage; //Test Edittext um eine Nachricht zu senden -> gegen Nachricht von den Sensoren austauschen
    private Button btnSend; //Test Sendebutton

    private String sendmsg = "default";

    @SuppressLint("MissingInflatedId")
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        xmlToJava(); //Funktionsaufruf, wo die Testbuttons etc angelegt sind
    }

    public void xmlToJava(){
        tvReceivedData = findViewById(R.id.tvRecTxt);       //Test Textview
        etSendMessage = findViewById(R.id.sendMessage);     //Test Nachricht
        btnSend = findViewById(R.id.btnSend);               //Test Sendebefehl
    }

    public void onClickSend(View view) throws SocketException{  //ToDo: Sendebefehl mit boolscher Variable lösen --> wo setzen?
        sendmsg = etSendMessage.getText().toString();           //ToDo: hier String von Sensoren übergeben
        communication.setMessage(sendmsg, true);    //übergibt zu sendenden String und setzt die entscheidende Boolsche Variable fürs Senden
    }

    @Override
    protected void onResume() {
        super.onResume();
        //Erstellen des Members
        communication = new WifiCommunication(MainActivity.this, MainActivity.this, 1234);
    }

    @Override
    protected void onPause() {
        super.onPause();
        //schließt socket
        communication.stopCommunication();
    }
}